NEED HELP!!! wedding audio book

Damactj

New member
hey guys,
very new to this. i want to make an audio guest book for my wedding. i watched the youtube video that brought me to teensy in the very beginning. bought the 4.0 board and purchased the audio board and pins, soldered everything together and then i get to the download software part and am struggling hard. i have windows 11 and when i download the software it says it cant see the board so i cant hit the next button. tried downloading a few different versions just to see if it would make a differance but so far no luck. any help would be appreciated. wedding is in 3 months and im running out of time lol
 
That's not an exciting start!

So, it's still running factory blink? And happily blinking after soldering?

Issue came up again at least once in past days - the USB cable must be quality and capable of reliable 480 Mbps connection.

When plugged in and blinking pushing the Program Button the blinking should stop and the RED LED near USB should light up - unless Teensy Loader is active and holding valid HEX to upload form the IDE build. When in that state the IDE's 'tools / Ports' should give an indication of the USB path.

Is the Teensy 4.0 selected in the IDE and will it complete a Verify build and open the Teensy Loader?
 
the software it says it cant see the board so i cant hit the next button.

Can you show us a screenshot of the problem? If the software has a small "?" button, click that for more info before taking the screenshot, so we can see the extra info.

Just a blind guess, you said "it cant see the board" but the Next button not working is usually a purely software on your PC that has nothing to do with Teensy actually plugged in. It's perfectly understandable to be completely new and not know these things or which terminology to use for describing the problem. But we could easily go down a fruitless path trying to help with the wrong issue only due to a few words. A screenshot that lets us actually see the problem would really let us better help.
 
Error Message and Photos

Can you show us a screenshot of the problem? If the software has a small "?" button, click that for more info before taking the screenshot, so we can see the extra info.

Just a blind guess, you said "it cant see the board" but the Next button not working is usually a purely software on your PC that has nothing to do with Teensy actually plugged in. It's perfectly understandable to be completely new and not know these things or which terminology to use for describing the problem. But we could easily go down a fruitless path trying to help with the wrong issue only due to a few words. A screenshot that lets us actually see the problem would really let us better help.


Yes, no problem! Thank you for your help!

Screen shot is attached. Screenshot 2023-06-21 180534.jpg Text when I click the "?" button is also copied and pasted below. Photos of the device are also attached - two photos to show that the light is blinking.

Teensyduino can not work with the Windows App
version of Arduino. The regular installer &
non-admin ZIP versions are supported.

Directory: C:/Users/17326/OneDrive/Documents/
Checking Arduino 1.8.13:
version: "lib/version.txt" file missing
Does not match Arduino 1.8.13
Checking Arduino 1.8.15:
version: "lib/version.txt" file missing
Does not match Arduino 1.8.15
Checking Arduino 1.8.16:
version: "lib/version.txt" file missing
Does not match Arduino 1.8.16
Checking Arduino 1.8.19:
version: "lib/version.txt" file missing
Does not match Arduino 1.8.19
Checking Arduino 1.8.5:
version: "lib/version.txt" file missing
Does not match Arduino 1.8.5
Checking Arduino 1.8.9:
version: "lib/version.txt" file missing
Does not match Arduino 1.8.9
 

Attachments

  • IMG_4183.jpg
    IMG_4183.jpg
    180.9 KB · Views: 31
  • IMG_4184.jpg
    IMG_4184.jpg
    184.1 KB · Views: 26
You need to first download and install the Arduino IDE software. Get it here:

https://www.arduino.cc/en/software

You can choose version 2.1.0 or 1.8.19. Ether is fine. The new 2.1.0 has more features. The old 1.8.19 is simpler.

If you install 2.1.0, then you do not need the separate Teensyduino installer. With 2.1.0, you click File > Preferences and add the URL for Teensy. Then use Boards Manager inside 2.1.0 to install Teensy.

If you install 1.8.19, then you do run the Teensyduino installer after completing Arduino 1.8.19 install. If you used the default choices during Arduino 1.8.19 installation, the Teensyduino installer will find Arduino 1.8.19 automatically, so you can just click Next until it's installed.
 
Paul, thank you so much for your help. And everyone else as well. This was a major help. Back to youtube to keep on rolling. Thanks again. Ill be reaching out if i hit another Speed bump
 
Back
Top